%define name smeserver-roundcube
%define version 1.6
%define release 8

Summary: smserver rpm to setup roundcube, an IMAP mail client
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
URL: https://www.koozali.org
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
Requires: smeserver-apache >= 11.0
Requires: smeserver-php
Requires: roundcubemail >= 1.6 
Requires: roundcubemail < 1.7
Requires: composer >= 2.7.8
Requires: git
#TODO either fuse with dovecot or put in core
#Requires: smeserver-dovecot-extras
Requires: jq
Requires: php-kolab-net-ldap3
Requires: roundcube-plugin-thunderbird_labels 
Requires: roundcube-plugin-message_highlight 
Requires: roundcube-plugin-html5_notifier
Requires: roundcube-plugin-keyboard-shortcuts 
Requires: roundcube-plugin-fail2ban
Requires: roundcube-plugin-dovecot_impersonate
Requires: roundcube-skin-larry
Requires: roundcube-skin-classic
Requires: roundcube-plugin-nextcloud_attachments
Requires: roundcube-plugin-globaladdressbook
Requires: roundcube-plugin-contextmenu
Requires: php-sabre-dav php-sabre-event php-sabre-http php-sabre-uri2 php-sabre-vobject4 php-sabre-xml2
Requires: php81-php-pspell php82-php-pspell php83-php-pspell
Requires: enchant php81-php-enchant php82-php-enchant php83-php-enchant
Requires: php81-php-xml php82-php-xml php83-php-xml
Requires: hunspell-en hunspell-en-GB
AutoReqProv: no
 
%description
smeserver rpm to setup the roundcube IMAP mail client.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --dir /var/log/php/roundcube  'attr(0755,www,www)' \
   --dir /var/lib/php/roundcube  'attr(0755,www,www)' \
   --dir /var/lib/php/roundcube/tmp 'attr(0755,www,www)' \
   --dir /var/lib/php/roundcube/opcache 'attr(0755,www,www)' \
   --dir /var/lib/php/roundcube/session 'attr(0755,www,www)' \
  > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post

%postun
#uninstall
if [ $1 = 0 ] ; then
 /usr/bin/systemctl restart httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%attr(755,root,root) /usr/bin/rcplugin_update.sh

%changelog
* Sun Mar 30 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-8.sme
- remove service handling from post-upgrade event [SME: 12977]

* Mon Feb 17 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-7.sme
- fix roundcube not accessible after install [SME: 12928]
- avoid need to relog in case of reloading of configuration [SME: 12929]

* Wed Feb 12 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-6.sme
- fix typo in roundcubemail.action [SME: 12917]

* Fri Jan 03 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-5.sme
- set more relaxed CSP for roundcube [SME: 12861]

* Sat Dec 14 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-4.sme
- fix roundcube not working on initial install [SME: 12812]

* Sun Sep 01 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.6-3.sme
- initial version for SME11 [SME: 12617]
- build and require rpm for plugins and skins
- improve directory handling, spellchecker
- fix httpd templates

* Mon Mar 25 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.2-24.sme
- fix temp event not ending because of interactive install of plugin [SME: 12530]
- stop altering php81 ini file [SME: 12529]
- workaround Composer could not detect the root package [SME: 12531]
- workaround roundcube/plugin-installer is also a root requirement [SME: 12532]

* Fri Mar 22 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.2-23.sme
- fix roundcube unable to send mail after smeserver-qpsmtpd disabling auth on port 25

* Sat Feb 24 2024 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-21.sme
- add nextcloud_attachements plugin support [SME: 12489]
- simplify access setting using access(private,public)/status [SME: 12263]
- Requires roundcube >= 1.6
  up to php81,   add dedicated php pool
  using update event to config plugins

* Tue Oct 31 2023 Brian Read <brianr@koozali.org> 1.2-19.sme
- Update params for changes from v1.6 roundcube [SME: 12415]

* Sun Dec 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-18.sme
- fix previous patch [SME: 11430]

* Sat Dec 10 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-17.sme
- remove sieverules [SME: 11430]
  change skin on availability for 1.6 

* Wed Dec 07 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-14.sme
- fix list of plugins and add composer [SME: 11430]
  do not load in conf plugins without an actual folder.

* Mon Aug 01 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-12.sme
- update to httpd 2.4 access syntax [SME: 12059]
  thanks to Vasarhelyi Zsolt
- accept self signed certificates for imap and smtp [SME: 11430]
- Use of undefined constant, quote around module names [SME: 11430]

* Mon Apr 05 2021 Brian Read <brianr@bjsystems.co.uk> 1.2-11.sme
- Update spec file to take out plugin rpm [SME: 11430 ]

* Sun Apr 04 2021 Brian Read <brianr@bjsystems.co.uk> 1.2-10.sme
- Add-update-event-in-createlinks-and-fix-smtp-port-in-config [SME: 11430]

* Thu Mar 17 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2-9.sme
- Bump the version to force the composer update

* Mon Sep 21 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2-8.sme
- libcalendaring calendar and tasklist are no more in the contribs

* Wed Sep 02 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2-6.sme
- Initial release to contribs9

* Thu Apr 16 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.2-5
- managesieve is no more used, I prefer to use sieverules (only for new installation)

* Thu Apr 16 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.2-4
- Carddav is a hugly plugin, it is now removed
- Added a migrate fragment to remove it from DB

* Sun Feb 22 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.2-3
- Added sieverules plugins
- Added a link for kolab-LDAP3

* Thu Feb 12 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.2-2
- Add a migrate fragment if the dns of the main domain is set to external
- Plugins are updated by the %post section
- Communication beetween roundcube and imap are ssl based
- Password and login fields are saved, a random key encrypt them in cookies
- the installer folder is forbidden by apache and by configuration file
- The configuration is now templated in serveral files      

* Wed Feb 11 2015 stephane de labrusse <stephdl@de-labrusse.fr> 1.2-1
- Switch to roundcubemail from Epel.

* Sun Nov 30 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-5
- code developed by Mats Schuh <m.schuh@neckargeo.net>
- split the config.inc.php; now the sieve vacation gets its own template

* Fri Nov 28 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-4
- code developed by Mats Schuh <m.schuh@neckargeo.net>
- Add a template in /opt/roundcube/plugins/managesieve/config.inc.php
- Allow managesieve following the status of sieve. 

* Fri Sep 05 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-3
- added a template in httpd.conf to forbid to browse /tmp /config /logs

* Sun May 11 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-2
- adapted /etc/e-smith/sql/init/80roundcube for mysql tasklists Table

* Sat May 10 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.1-1
- removed openbasedir and uploadtmpdir for roundcube compatibility 

* Mon Apr 14 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.0-7
  Wed Apr 14 2014 --> Wed Apr 09 2014 or Mon Apr 14 2014 or Wed Apr 16 2014 or ....
- removed the copymessage plugin activated

* Wed Apr 02 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.0-6
- corrected issue with the tasklists  db issue
- added auto-update for composer in the script rcplugin_update.sh 

* Sat Feb 15 2014 stephane de labrusse <stephdl@de-labrusse.fr> 1.0-5
- adapted to the upstream update eg roundcube 1.0

* Sun Nov 10 2013 JP Pialasse <tests@pialasse.com> 0.9-18.sme
- cleaning build section [SME: 7981]

* Wed Nov 6 2013 JP Pialasse <tests@pialasse.com> 0.9-17.sme
- corrected bug: typo in patch1 [SME: 7981]

* Tue Nov 05 2013 JP Pialasse <tests@pialasse.com> 0.9-16.sme
  Thu Nov 05 2013 --> Thu Oct 31 2013 or Tue Nov 05 2013 or Thu Nov 07 2013 or ....
- corrected bug [SME: 7981]
- moved out spec file sql init and other event and actions

* Sat Oct 26 2013 stephane de labrusse <stephdl@de-labrusse.fr> 0.9.15
- Change the version of roundcubemail-plugins-kolab to 3.02 : http://git.kolab.org/roundcubemail-plugins-kolab/

* Sun Oct 20 2013 stephane de labrusse <stephdl@de-labrusse.fr> 0.9.14
- Change the original https_only

* Sun Oct 13 2013 stephane de labrusse <stephdl@de-labrusse.fr> 0.9.13
  Sat Oct 13 2013 --> Sat Oct 12 2013 or Sun Oct 13 2013 or Sat Oct 19 2013 or ....
- Add the Kolab calendar plugin 		    : http://git.kolab.org/roundcubemail-plugins-kolab/tree/plugins/calendar
- Add the context menu for right click, very useful : http://www.tehinterweb.co.uk/roundcube/#picontextmenu
- Add the "Mark as Junk 2" to kick spam to junkmail : http://www.tehinterweb.co.uk/roundcube/#pimarkasjunk2

* Sat Oct 5 2013 stephane de Labrusse <stephdl@de-labrusse.fr> 0.9.12
- Add the SME Server internal LDAP addressbooks in roundcube

* Sat Sep 21 2013 Stephane de Labrusse <stephdl@de-labrusse.fr> 0.9.11
- Add carddav functionnality http://www.crash-override.net/carddav.html

* Wed Jun 05 2013 Stephane de Labrusse <stephdl@de-labrusse.fr> 0.9.9
- add a tmp folder in httpd.conf
* Mon Jun 03 2013 Stephane de Labrusse <stephdl@de-labrusse.fr>
- requires sme8 0.9-8

* Thu Jun 28 2007 Stephen Noble <stephen@dungog.net> 
- add domain property to use existing host or domain 0.9-7

* Thu Jun 21 2007 Stephen Noble <stephen@dungog.net> 
- update .spec file 0.9-6

* Thu Jun 21 2007 Stephen Noble <stephen@dungog.net> 
- automate config file creation
- proxypass to fix https redirect bug
- [0.9-5]

* Fri Apr 6 2007 Stephen Noble <stephen@dungog.net> 
- revert mysql password creation
- [0.9-4]

* Wed Feb 14 2007 Stephen Noble <stephen@dungog.net> 
- remove phpinfo
- simplify mysql password creation
- don't alias / in httpd for nul values in URL
- [0.9-3]

* Thu Dec 14 2006 Stephen Noble <support@dungog.net>
- php_admin_value eaccelerator enabled
- [0.9-2]

* Tue Dec 12 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]
